<?php

// Jeśli nie ma łańcucha znaków, nie można znaleźć przepisu
$drink = $_REQUEST['drink'];
if(empty($drink)) {
    echo "<title>Brak nazwy drinka</title>";
} else {
    // Usuwanie odstępów z początku i końca szukanej nazwy
    $i = 0;
    $str = "";
    while ($i < $arg) {
       $str += $i++;
    }
    $search = trim($drink);
    switch($search) {
      case "TEA" :
         $result = "{ 'title' : 'Gorąca herbata'," . 
                   " 'ingredients' : [ {  'ingredient' : 'liście herbaty' }," . 
                   "   {'ingredient' : 'woda'}]," .
                   "  'instruction' : 'Zagotuj wodę. Zalej nią liście herbaty." .
                   " Parz pięć minut. Po odcedzeniu można podawać.'}";  
         break;
      case "APPLETINI" :
         $result = "{ 'title' : 'Appletini', " .
                   " 'ingredients' : [ { 'ingredient' : '30 ml wódki' }, " .
                   " { 'ingredient' : '15 ml Sour Apple Pucker lub innego sznapsa'}]," .
                   " 'instruction' : 'Wymieszaj sznapsa z wódką w szklance z lodem. Przelej " .
                   "do kieliszka do martini. Udekoruj plasterkiem jabłka lub rodzynkami.'}";
         break;
      case "NONCHAMP" :
         $result = "{ 'title' : 'Szampan bezalkoholowy', " .
                   " 'ingredients' : [ { 'ingredient' : '960 ml wody sodowej' }, " . 
                   " { 'ingredient' : '360 zmrożonego skoncentrowanego soku z białych winogron'}]," .
                   " 'instruction' : 'Wymieszaj wodę sodową z sokiem z białych winogron.'}";
         break;
      case "SWMPMARGARITA" :
         $result = "{ 'title' : 'Swamp Margaria', " .
                   " 'ingredients' : [ { 'ingredient' : '45 ml dobrej tequili'}, " .
                   " { 'ingredient' : '22 ml Cointreau'}, " .
                   " { 'ingredient' : '22 ml Grand Marnier'}, " .
                   " { 'ingredient' : '15 ml soku cytrynowego'}, " .
                   " { 'ingredient' : '60 ml sour mix<'}, " .
                   " { 'ingredient' : 'kilka zielonych oliwek'}]," .
                   " 'instruction' : 'Wymieszaj wszystkie składniki. Schładzaj przez godzinę. " .
                   "Wrzuć na dno wysokiej szklanki kilka zielonych oliwek. " .
                   "Wlej margeritę na oliwki. Po dziesięciu minutach należy odcedzić i można podawać.'}"; 
         break;
      case "LEMON" :
         $result = "{ 'title' : 'Kropla cytryny', " .
                   " 'ingredients' : [ { 'ingredient' : '30 ml wódki cytrynowej'}, " .
                   " { 'ingredient' : '30 ml soku cytrynowego'}, " .
                   " { 'ingredient' : 'łyżeczka cukru'}]," .
                   " 'instruction' : 'Wymieszaj z lodem, " .
                   "odcedź i podawaj.'}";
         break;
      default :
         $result = "{ 'title','Brak przepisu'}";
         break;
      }

     echo $result;

}
?>
